Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaComplexContent

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaContentModel
                  org.apache.ws.commons.schema.XmlSchemaComplexContent

    public class XmlSchemaComplexContent

extends XmlSchemaContentModel

Class that represents the complex content model for complex types. Contains extensions or restrictions on a complex type that has mixed content or elements only. Represents the World Wide Web Consortium (W3C) complexContent element.

Field Summary
`boolean` | `mixed`

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaComplexContent()` Creates new XmlSchemaComplexContent

Method Summary
`XmlSchemaContent` | `getContent()`
`boolean` | `isMixed()`
`void` | `setContent(XmlSchemaContent content)`
`void` | `setMixed(boolean mixed)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mixed

    public boolean mixed

Constructor Detail

### XmlSchemaComplexContent

    public XmlSchemaComplexContent()

  Creates new XmlSchemaComplexContent

Method Detail

### getContent

    public XmlSchemaContent getContent()

  Specified by:
    `getContent` in class `XmlSchemaContentModel`

### setContent

    public void setContent(XmlSchemaContent content)

  Specified by:
    `setContent` in class `XmlSchemaContentModel`

### isMixed

    public boolean isMixed()

### setMixed

    public void setMixed(boolean mixed)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.